Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2246895 - Rebuild for static stb_image CVE vulnerability
Summary: Rebuild for static stb_image CVE vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlpack
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ryan Curtin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-30 02:39 UTC by Benson Muite
Modified: 2023-11-08 01:52 UTC (History)
2 users (show)

Fixed In Version: mlpack-4.2.1-5.fc37 mlpack-4.2.1-5.fc39 mlpack-4.2.1-5.fc38 mlpack-4.2.1-4.el8 mlpack-4.2.1-5.el9
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-08 01:19:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Benson Muite 2023-10-30 02:39:40 UTC
CVE-2021-28021, CVE-2021-42715, CVE-2021-42716, and CVE-2022-28041

Reproducible: Always

Comment 1 Fedora Update System 2023-10-30 02:42:45 UTC
FEDORA-2023-c2bf1825d8 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c2bf1825d8

Comment 2 Fedora Update System 2023-10-30 05:34:55 UTC
FEDORA-2023-ab708a3bdd has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ab708a3bdd

Comment 3 Fedora Update System 2023-10-30 05:37:52 UTC
FEDORA-2023-e256d1730b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e256d1730b

Comment 4 Fedora Update System 2023-10-30 05:39:18 UTC
FEDORA-EPEL-2023-089a6765db has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-089a6765db

Comment 5 Fedora Update System 2023-10-30 14:26:47 UTC
FEDORA-EPEL-2023-672d5d9003 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-672d5d9003

Comment 6 Fedora Update System 2023-10-30 20:33:53 UTC
FEDORA-EPEL-2023-44e123cf66 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-44e123cf66

Comment 7 Fedora Update System 2023-10-30 20:37:41 UTC
FEDORA-2023-dde357b985 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dde357b985

Comment 8 Fedora Update System 2023-10-30 20:39:09 UTC
FEDORA-2023-23c0bd9a45 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-23c0bd9a45

Comment 9 Fedora Update System 2023-10-30 20:40:22 UTC
FEDORA-2023-862bb40df5 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-862bb40df5

Comment 10 Fedora Update System 2023-10-31 01:45:04 UTC
FEDORA-2023-862bb40df5 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-862bb40df5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-862bb40df5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-31 01:58:36 UTC
FEDORA-EPEL-2023-672d5d9003 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-672d5d9003

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-31 02:08:36 UTC
FEDORA-EPEL-2023-44e123cf66 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-44e123cf66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-31 02:21:00 UTC
FEDORA-2023-dde357b985 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-dde357b985`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dde357b985

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-31 02:25:09 UTC
FEDORA-2023-23c0bd9a45 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-23c0bd9a45`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-23c0bd9a45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-11-08 01:19:16 UTC
FEDORA-2023-dde357b985 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-11-08 01:26:32 UTC
FEDORA-2023-862bb40df5 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-11-08 01:39:28 UTC
FEDORA-2023-23c0bd9a45 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-11-08 01:43:20 UTC
FEDORA-EPEL-2023-672d5d9003 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-11-08 01:52:33 UTC
FEDORA-EPEL-2023-44e123cf66 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.